πŸ’‘ LightUp 7.1 | SketchUp's only real-time renderer that uses object-based rendering Download Trial
  • Schematic Designer tool

    12
    0 Votes
    12 Posts
    3k Views
    AnssiA

    This is interesting. I'll have a try with FileMaker Pro. I can make it calculate nice squares or even cubes out of the required area data. I'm all for using a text file format like CSV, it can be written in many ways, in emergency even by hand with Notepad.

    Anssi

  • Texture.use_alpha?

    6
    0 Votes
    6 Posts
    1k Views
    T

    Hi TBD,
    I am surprised there is no such a method.
    The PNG testing will be helpful for me.
    Thank you!
    Tomasz

  • Twisting follow me.

    3
    0 Votes
    3 Posts
    999 Views
    GaieusG

    There is a rotaPushPull.rb on Didier's site here:
    http://www.crai.archi.fr/RubyLibraryDepot/Ruby/em_edi_page.htm

    Yet it only does this in one direction (so Pedro's problem over the thread could not be solved by it).

  • Attribute Manager Plugin

    4
    0 Votes
    4 Posts
    2k Views
    KrisidiousK

    ahhh thanks... πŸ˜‰

  • Shut down automaticly

    4
    0 Votes
    4 Posts
    758 Views
    J

    @burkhard said:

    I have another question.
    Remember the calc.rb can be open from the Plugins menu.
    But if I close Sketchup the calculator does not automaticly close with.
    Is this fiasible ( viable,contrivable or whatever )?

    Burkhard

    On Windows, you can use AppObserver.onQuit to set up the observer, and WIN32API to find (by name) and close the calc.exe window.

    See my Ruby Toolbar plugin for using WIN32API window functions. I learned it from SketchyPhysics creator Chris Phillips.

  • Boxes and Component Size

    2
    0 Votes
    2 Posts
    1k Views
    J

    @agrazdi said:

    1 - Is there a ruby that can be added to the BOX.rb and be able to select the initial point < like you do with the wall ruby > ?? instead of the origin or an x,y,z coordenates?

    2 - Last one, is there a way to get with a Ruby the size of groups and components ?

    Thanks in advance

    agraz

    Yes, it's possible.

    Look into using a PickHelper or a InputPoint object to select the initial point.

    It depends on what you mean by "size"? Look up the bounds method for Groups and Components. A BoundingBox is a 3D box aligned to the global axis, and includes all the entities inside the Group.

  • ShrinkWrap

    9
    0 Votes
    9 Posts
    3k Views
    K

    I haven't tested the option yet, but the SU2Fryrender has a function like that to get their instancing going.
    It's not exactly the same but the complex component gets substituted by a low poly version so SU doens't choke on it.
    At render export it will render the Hi poly version

  • SketchUp Ruby scripts Blog

    2
    0 Votes
    2 Posts
    758 Views
    J

    It's Coen, according to the profile.

  • Copy along path tweak

    10
    0 Votes
    10 Posts
    2k Views
    CadFatherC

    thanks Rick - perhaps 4 options: 😲

    by node fixed
    by node rotated
    by spacing fixed
    by spacing rotated

    (don't like much dialog boxes - you can't give them shortcut keys)

  • Jim RE template_utils.rb

    2
    0 Votes
    2 Posts
    768 Views
    J

    I'll look into it, thanks.

  • General Windows Utility - Screen Ruler

    2
    0 Votes
    2 Posts
    903 Views
    D

    Thank you John. A very useful link.

    [digby dart]

  • Change default material

    5
    0 Votes
    5 Posts
    672 Views
    BurkhardB

    Works well here.

    Thanks a lot TIG. These credits are yours πŸ˜‰

    Burkhard

  • Save skp file errors

    4
    0 Votes
    4 Posts
    944 Views
    Al HartA

    Bill,

    Were you ever able to save the .SKP where you wanted them?

    I tried saving it with the base name (xxx.skp) and no path. I don't think it resaved it, althoug it returned true.

    sname = File.basename(sfile)
    model.save(sname)

    I then saved it with new names using:

    component_name = File.basename(sfile,".*")
    sname = component_name + "_new.skp"
    model.save(sname)

    This seems to have worked (saving a new SKP in the original folder)

  • Purge

    13
    0 Votes
    13 Posts
    2k Views
    TIGT

    @unknownuser said:

    TIG, that is great. Works like a charm. Just run it, then run purgeall and poof.

    Thanks.

    At least that works ! Now for Roof.rb glitches. Perhaps you should all go to church and retry it ?

  • Copying Files

    3
    0 Votes
    3 Posts
    560 Views
    J

    I see, the methods listed in the File class are actually defined in the ftools.rb file. Also, the docs recommend using FileUtils.rb over ftools.rb.

    Thanks. I was toying with the idea of cleaning up .skb and AutoSave files from the the user's model folder.

  • Selecting Entities inside composite Entities

    8
    0 Votes
    8 Posts
    2k Views
    K

    That's not a bad idea as an alternative, TIG. I've thought of something similar myself, though mine was admittedly less sophisticated. (I was just going to change the edge colours and throw away the original value.) I'll certainly add that to my growing list of fall-back plans.

    Thanks again for all the input,

    Kevin

  • Hatch script?

    4
    0 Votes
    4 Posts
    821 Views
    B

    Thanks guys, I'll give it a whirl. By the way, do you have any recommendations?

    Mike

  • Is there an "Undo" script?

    3
    0 Votes
    3 Posts
    738 Views
    B

    Your right, I dont think thats what I had in mind. There are times that I draw something only to find that the geometry is wrong when I change the view. So rather than scrap the piece all together, I start "undoing" what I did and backing out of the errors till I get back to where I can start again. There are only so many times that Undo will work, and yes, you think I would catch it before it gets that far, lol.

    Thats why I was thinking I saw an Undo script that would back up many times.

    Thanks for the response
    Mike

  • SU6 SKM processing

    3
    0 Votes
    3 Posts
    798 Views
    tbdT

    that means that the user must export as OBJ first - not acceptable πŸ˜„

    so I think I will use TextureWriter as there is no Ruby method that points to the .skm file to do a .zip parsing of .xml files. urgh πŸ˜„

    thanks anyway

  • Look around tool in ruby?

    8
    0 Votes
    8 Posts
    1k Views
    J

    You need to use camera.set. The vector from the target to the eye is the direction.

    m=Sketchup.active_model view=m.active_view camera=view.camera v1 = (camera.target - camera.eye).normalize v2 = camera.direction.normalize p v1 == v2

Advertisement